package com.sifang.modules.supply.order.request;

import org.hibernate.validator.constraints.NotBlank;

import javax.validation.constraints.NotNull;
import javax.validation.constraints.Pattern;
import java.io.Serializable;
import java.math.BigDecimal;

/**
 * @author hongzq
 */
public class ApplyOrderDetailReq implements Serializable {

    private String detailId;

//    @NotBlank(message = "targetId不能为空")
    private String targetId;

    @NotNull(message = "申请数量不能为空")
    private BigDecimal amount;

    private String materialType;

    private String materialTypeId;
    private String materialSpecs;

    private String remark;

    private String materialCode;


    public String getMaterialCode() {
        return materialCode;
    }

    public void setMaterialCode(String materialCode) {
        this.materialCode = materialCode;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getDetailId() {
        return detailId;
    }

    public void setDetailId(String detailId) {
        this.detailId = detailId;
    }

    public String getTargetId() {
        return targetId;
    }

    public void setTargetId(String targetId) {
        this.targetId = targetId;
    }



    public BigDecimal getAmount() {
        return amount;
    }

    public void setAmount(BigDecimal amount) {
        this.amount = amount;
    }

    public String getMaterialType() {
        return materialType;
    }

    public void setMaterialType(String materialType) {
        this.materialType = materialType;
    }

    public String getMaterialSpecs() {
        return materialSpecs;
    }

    public void setMaterialSpecs(String materialSpecs) {
        this.materialSpecs = materialSpecs;
    }

    public String getMaterialTypeId() {
        return materialTypeId;
    }

    public void setMaterialTypeId(String materialTypeId) {
        this.materialTypeId = materialTypeId;
    }

    @Override
    public String toString() {
        return "ApplyOrderDetailReq{" +
                "detailId='" + detailId + '\'' +
                ", targetId='" + targetId + '\'' +
                ", amount=" + amount +
                ", materialType='" + materialType + '\'' +
                ", materialSpecs='" + materialSpecs + '\'' +
                '}';
    }
}
